## packagekit 1.3.1

=== debian/changelog ===
packagekit (1.3.1-1ubuntu1) questing; urgency=medium

  * d/p/apt-Handle-gstreamer-64bit-suffix-on-any-architecture.patch:
    Fix matching GStreamer capabilities on ARM64 and other architectures
    (LP: #2060730)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 16 Oct 2025 09:51:30 +0200

packagekit (1.3.1-1) unstable; urgency=medium

  [ Matthias Klumpp ]
  * New upstream version: 1.3.1
    - Implement enable/disable support for deb822-style repo sources
    - Harmonize repo-ids between deb822 and legacy sources
    - Use 'pk_backend_job_details_full()' so download size is
      reported properly (Closes: #1026076)
  * Drop patches: Applied upstream
  * Drop build-dependency on gobject-introspection-bin (Closes: #1094624)

  [ Michael Biebl ]
  * Drop obsolete pkla configuration file (Closes: #1093073)

 -- Matthias Klumpp <mak@debian.org>  Tue, 22 Apr 2025 22:18:16 +0200

=== debian/control ===
Source: packagekit
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthias Klumpp <mak@debian.org>
Uploaders: Julian Andres Klode <jak@debian.org>
Build-Depends: bash-completion,
               debhelper-compat (= 13),
               gir1.2-glib-2.0 (>= 1.36),
               gobject-introspection (>= 1.36),
               gtk-doc-tools,
               libappstream-dev (>= 0.16.0),
               libapt-pkg-dev (>= 1.9.2),
               libarchive-dev,
               libgirepository1.0-dev (>= 1.36),
               libglib2.0-dev (>= 2.54),
               libgstreamer-plugins-base1.0-dev,
               libgtk-3-dev (>= 3.2),
               libplymouth-dev (>= 0.9.5) [linux-any],
               libpolkit-gobject-1-dev,
               libsqlite3-dev,
               libsystemd-dev (>= 214) [linux-any],
               meson (>= 0.50),
               pkgconf,
               polkitd,
               systemd-dev [linux-any],
               valac
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://www.freedesktop.org/software/PackageKit/
Vcs-Git: https://salsa.debian.org/pkgutopia-team/packagekit.git
Vcs-Browser: https://salsa.debian.org/pkgutopia-team/packagekit

Package: packagekit
Architecture: any
Multi-Arch: foreign
Depends: libglib2.0-bin,
         polkitd,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: plymouth (<< 0.9.5)
Recommends: appstream,
            packagekit-tools,
            systemd
Description: Provides a package management service
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 The work is done by backends which make use of the package manager shipped by
 the corresponding distribution. PackageKit is not meant to replace
 advanced tools like Synaptic.
 .
 Its main benefits are:
  - Unified developer and user interface on many distributions
  - Fine-grained permission control via PolicyKit
  - On-demand installation of missing system components

Package: packagekit-tools
Architecture: any
Multi-Arch: foreign
Depends: packagekit (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Provides PackageKit command-line tools
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides the PackageKit command-line tools.

Package: packagekit-docs
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Documentation for PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides documentation for PackageKit.

Package: libpackagekit-glib2-18
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Library for accessing PackageKit using GLib
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides an advanced library to access PackageKit using GLib.
 It makes use of only async D-Bus calls and provides high level tasks which
 peform the "transaction dance".

Package: libpackagekit-glib2-dev
Section: libdevel
Architecture: any
Depends: gir1.2-packagekitglib-1.0 (= ${binary:Version}),
         libdbus-1-dev,
         libglib2.0-dev,
         libpackagekit-glib2-18 (= ${binary:Version}),
         libsqlite3-dev,
         ${misc:Depends}
Description: Library for accessing PackageKit using GLib (development files)
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides the header files and documentation for the advanced
 PackageKit library based on GLib. It makes use of only async D-Bus calls
 and provides high level tasks which peform the "transaction dance".

Package: gir1.2-packagekitglib-1.0
Section: introspection
Architecture: any
Depends: ${gir:Depends},
         ${misc:Depends}
Description: GObject introspection data for the PackageKit GLib library
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package contains introspection data for the PackageKit
 GLib interface library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: packagekit-gtk3-module
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: gnome-software | apper | packagekit-installer
Description: Install fonts automatically using PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g. refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 The PackageKit GTK+ module allows any Pango application to install
 fonts from configured repositories using PackageKit.

Package: gstreamer1.0-packagekit
Architecture: any
Section: libs
Depends: packagekit (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: gstreamer0.10-packagekit
Replaces: gstreamer0.10-packagekit
Recommends: gnome-software | apper | packagekit-installer
Description: GStreamer plugin to install codecs using PackageKit
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package provides a plugin for the GStreamer multimedia framework
 to search and to install audio and video codecs.

Package: packagekit-command-not-found
Architecture: any
Section: misc
Depends: packagekit (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Offer to install missing programs automatically
 PackageKit allows performing simple software management tasks over a DBus
 interface e.g refreshing the cache, updating, installing and removing
 software packages or searching for multimedia codecs and file handlers.
 .
 This package contains a simple handler for command_not_found that offers to
 install missing packages on the command line using PackageKit.

## packagekit 1.3.1+mint1+gigi

=== debian/changelog ===
packagekit (1.3.1+mint1+gigi) gigi; urgency=medium

  [ Clement Lefebvre ]
  * Native source format
  * Remove patches

  [ Michael Webster ]
  * Add 'purge' capability (apt backend only).

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 13 Sep 2025 16:38:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: packagekit
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klumpp <mak@debian.org>
+Maintainer: Matthias Klumpp <mak@debian.org>
 Uploaders: Julian Andres Klode <jak@debian.org>
 Build-Depends: bash-completion,
                debhelper-compat (= 13),

## packagekit 1.3.2

=== meson_options.txt ===
option('maintainer',
    type : 'boolean',
    value : false,
    description : 'Enable maintainer mode (use strict compiler flags, e.g. -Werror)'
)

option('packaging_backend',
    type : 'array',
    choices : ['alpm', 'apt', 'dnf', 'dummy', 'entropy', 'pisi', 'poldek', 'portage', 'slack', 'zypp', 'nix', 'freebsd'],
    value : ['dummy'],
    description : 'The name of the backend to use'
)
option('dnf_vendor',
    type : 'combo',
    choices : ['fedora', 'mageia', 'openmandriva', 'rosa', 'opensuse'],
    value : 'fedora',
    description : 'Vendor configuration when using the dnf backend'
)

option('systemd',
    type : 'boolean',
    value : true, description : 'Use systemd and logind'
)
option('systemdsystemunitdir',
    type : 'string',
    value : '',
    description : 'Directory for systemd service files'
)
option('systemduserunitdir',
    type : 'string',
    value : '',
    description : 'Directory for systemd user service files'
)
option('offline_update',
    type : 'boolean',
    value : true,
    description : 'Use systemd offline update'
)
option('elogind',
    type : 'boolean',
    value : false,
    description : 'Use elogind instead of systemd-login'
)
option('gobject_introspection',
    type : 'boolean',
    value : true,
    description : 'Build GObject Introspection data'
)
option('man_pages',
    type : 'boolean',
    value : true,
    description : 'Generate man pages'
)
option('gtk_doc',
    type : 'boolean',
    value : false,
    description : 'Generate API reference'
)
option('bash_completion',
    type : 'boolean',
    value : true,
    description : 'Bash completion'
)
option('bash_command_not_found',
    type : 'boolean',
    value : true,
    description : 'Build Bash command-not-found functionality'
)
option('packagekit_user',
    type : 'string',
    value : 'root',
    description : 'User for running the PackageKit daemon'
)
option('local_checkout',
    type : 'boolean',
    value : false,
    description : 'Allow running in local checkout'
)
option('gstreamer_plugin',
    type : 'boolean',
    value : true,
    description : 'Build gstreamer plugin functionality'
)
option('gtk_module',
    type : 'boolean',
    value : true,
    description : 'Build GTK+-3 module functionality'
)
option('cron',
    type : 'boolean',
    value : true,
    description : 'Build cron background functionality'
)
option('dbus_sys',
    type : 'string',
    value : '',
    description : 'D-BUS system.d directory'
)
option('dbus_services',
    type : 'string',
    value : '',
    description : 'D-BUS system-services directory'
)
option('python_backend',
    type : 'boolean',
    value : true,
    description : 'Provide a python backend'
)
option('pythonpackagedir',
    type : 'string',
    value : '',
    description : 'Location for python modules'
)
option('daemon_tests',
    type : 'boolean',
    value : true,
    description : 'Test the daemon using the dummy backend'
)

=== debian/changelog ===
packagekit (1.3.2-1) unstable; urgency=medium

  * New upstream version: 1.3.2

 -- Matthias Klumpp <mak@debian.org>  Thu, 02 Oct 2025 22:06:52 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,11 @@
 Build-Depends: bash-completion,
                debhelper-compat (= 13),
                gir1.2-glib-2.0 (>= 1.36),
-               gobject-introspection (>= 1.36),
+               gobject-introspection (>= 1.80),
                gtk-doc-tools,
                libappstream-dev (>= 0.16.0),
                libapt-pkg-dev (>= 1.9.2),
                libarchive-dev,
-               libgirepository1.0-dev (>= 1.36),
                libglib2.0-dev (>= 2.54),
                libgstreamer-plugins-base1.0-dev,
                libgtk-3-dev (>= 3.2),

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Use this variable to set the PackageKit configure flags
PK_CONFIGURE_FLAGS = \
			-Ddaemon_tests=false \
			-Dpackaging_backend=apt \
			-Dsystemd=true \
			-Doffline_update=true \
			-Dgobject_introspection=true \
			-Dman_pages=true \
			-Dgtk_doc=true \
			-Dbash_completion=true \
			-Dbash_command_not_found=true \
			-Dgstreamer_plugin=true \
			-Dgtk_module=true \
			-Dcron=false \
			-Dpython_backend=false

ifneq ($(DEB_HOST_ARCH_OS), linux)
	PK_CONFIGURE_FLAGS += -Dsystemd=false -Doffline_update=false
else
	export deb_systemdsystemunitdir = $(shell pkg-config --variable=systemdsystemunitdir systemd | sed s,^/,,)
endif

LDFLAGS += -Wl,--as-needed

# Define install target dir
INSTALLDIR = $(CURDIR)/debian/tmp

%:
	dh $@ --with gir

extrainstallfiles-stamp:
	grep -E -v 'systemdsystemunitdir|pk-offline-update|pk-debconf-helper' debian/packagekit.install > debian/packagekit.install.kfreebsd
	grep -E -v 'systemdsystemunitdir|pk-offline-update|pk-debconf-helper' debian/packagekit.install > debian/packagekit.install.hurd
	touch $@

override_dh_auto_configure:
	cp -dpr $(CURDIR)/docs/api $(CURDIR)/docs/api.orig
	dh_auto_configure -- $(PK_CONFIGURE_FLAGS)

override_dh_auto_install:
	dh_auto_install --destdir=$(INSTALLDIR)

	# These files do not need to be installed
	rm -f $(INSTALLDIR)/usr/share/PackageKit/pk-upgrade-distro.sh
	rm -f $(INSTALLDIR)/usr/bin/packagekit-bugreport.sh
	rm -f $(INSTALLDIR)/var/lib/PackageKit/transactions.db

	rm $(INSTALLDIR)/etc/PackageKit/Vendor.conf
ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
	cp $(CURDIR)/debian/vendor/Vendor.ubuntu.conf $(INSTALLDIR)/etc/PackageKit/Vendor.conf
else
	cp $(CURDIR)/debian/vendor/Vendor.debian.conf $(INSTALLDIR)/etc/PackageKit/Vendor.conf
endif

override_dh_install: extrainstallfiles-stamp
	dh_install

override_dh_makeshlibs:
	dh_makeshlibs -Xlibpk-gtk-module -Xlibpk_
	dh_girepository

override_dh_auto_clean:
	dh_auto_clean
	# Remove the autogenerated .install files for non-linux architectures
	rm -f debian/packagekit.install.kfreebsd
	rm -f debian/packagekit.install.hurd

override_dh_gencontrol:
	dh_gencontrol -- $(SUBSTVARS)

override_dh_installsystemd:
	# We don't want to stop/restart the packagekit service and especially not the
	# packagekit-offline-update service, as PackageKit might be performing the
	# package upgrade right now and would kill the running APT/dpkg transaction,
	# leaving the system in a broken state.
	# The PackageKit daemon is fine with being upgraded while running, and we do
	# send it the `SuggestDaemonQuit` command to have it reload itself when it is
	# able to (ensuring it doesn't crash after ejecting the backend and reloading it).
	dh_installsystemd --no-start --no-restart-after-upgrade --no-stop-on-upgrade

=== debian/watch ===
version=4
https://www.freedesktop.org/software/PackageKit/releases/PackageKit-([\d\.]+)\.tar\.xz

## packagekit 1.3.3

=== meson_options.txt ===
#
# General options
#

option('maintainer',
    type : 'boolean',
    value : false,
    description : 'Enable maintainer mode (use strict compiler flags, e.g. -Werror)'
)

option('packaging_backend',
    type : 'array',
    choices : ['alpm', 'apt', 'dnf', 'dummy', 'entropy', 'eopkg', 'pisi', 'poldek', 'portage', 'slack', 'zypp', 'nix', 'freebsd'],
    value : ['dummy'],
    description : 'The name of the backend to use'
)
option('dnf_vendor',
    type : 'combo',
    choices : ['fedora', 'mageia', 'openmandriva', 'rosa', 'opensuse'],
    value : 'fedora',
    description : 'Vendor configuration when using the dnf backend'
)

option('packagekit_user',
    type : 'string',
    value : 'root',
    description : 'User for running the PackageKit daemon'
)
option('local_checkout',
    type : 'boolean',
    value : false,
    description : 'Allow running in local checkout'
)
option('daemon_tests',
    type : 'boolean',
    value : true,
    description : 'Test the daemon using the dummy backend'
)

#
# Features
#

option('systemd',
    type : 'boolean',
    value : true, description : 'Use systemd and logind'
)
option('offline_update',
    type : 'boolean',
    value : true,
    description : 'Use systemd offline update'
)
option('pkgctl',
    type : 'boolean',
    value : false,
    description : 'Build the experimental pkgctl client'
)
option('elogind',
    type : 'boolean',
    value : false,
    description : 'Use elogind instead of systemd-login'
)
option('gobject_introspection',
    type : 'boolean',
    value : true,
    description : 'Build GObject Introspection data'
)
option('bash_completion',
    type : 'boolean',
    value : true,
    description : 'Bash completion'
)
option('bash_command_not_found',
    type : 'boolean',
    value : true,
    description : 'Build Bash command-not-found functionality'
)
option('gstreamer_plugin',
    type : 'boolean',
    value : true,
    description : 'Build gstreamer plugin functionality'
)
option('gtk_module',
    type : 'boolean',
    value : true,
    description : 'Build GTK+-3 module functionality'
)
option('cron',
    type : 'boolean',
    value : true,
    description : 'Build cron background functionality'
)
option('python_backend',
    type : 'boolean',
    value : true,
    description : 'Provide a Python backend'
)

#
# Documentation
#

option('man_pages',
    type : 'boolean',
    value : true,
    description : 'Generate man pages'
)
option('gtk_doc',
    type : 'boolean',
    value : false,
    description : 'Generate API reference'
)

#
# Locations
#

option('systemdsystemunitdir',
    type : 'string',
    value : '',
    description : 'Directory for systemd service files'
)
option('systemduserunitdir',
    type : 'string',
    value : '',
    description : 'Directory for systemd user service files'
)
option('dbus_sys',
    type : 'string',
    value : '',
    description : 'D-BUS system.d directory'
)
option('dbus_services',
    type : 'string',
    value : '',
    description : 'D-BUS system-services directory'
)
option('pythonpackagedir',
    type : 'string',
    value : '',
    description : 'Location for Python modules'
)

=== debian/changelog ===
packagekit (1.3.3-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.3.3-1.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 24 Nov 2025 20:56:08 +0000

packagekit (1.3.3-1) unstable; urgency=medium

  * New upstream version: 1.3.3
  * Install GIR typelib to the correct location (Closes: #1118515)
  * Install pkgctl, a new experimental command-line interface to
    PackageKit, so it can receive some testing
  * Update symbols file
  * d/control: Drop Rules-Requires-Root (no longer needed)

 -- Matthias Klumpp <mak@debian.org>  Mon, 24 Nov 2025 20:29:26 +0100

packagekit (1.3.2-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.3.2-1.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 05 Oct 2025 19:06:25 +0100

packagekit (1.3.1-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.3.1-1.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 22 Apr 2025 22:14:33 +0100

packagekit (1.3.0-3devuan1) unstable; urgency=medium

  * Merge tag debian/1.3.0-3.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 17 Feb 2025 15:59:13 +0000

packagekit (1.3.0-2devuan1) unstable; urgency=medium

  * Merge tag debian/1.3.0-2.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 09 Nov 2024 06:36:05 +0000

packagekit (1.3.0-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.3.0-1.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 16 Jun 2024 21:41:58 +0100

packagekit (1.2.8-2devuan1) unstable; urgency=medium

  * Merge tag debian/1.2.8-2.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 21 Feb 2024 07:30:51 +0000

packagekit (1.2.8-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.2.8-1.
  * Revert Debian "Fix FTBFS when systemd.pc changes systemdsystemunitdir"
  * Don't create systemd startup links (which were invalid anyway).

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 09 Nov 2023 18:00:10 +0000

packagekit (1.2.7-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.2.7-1.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 03 Sep 2023 10:32:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: packagekit
 Section: admin
 Priority: optional
-Maintainer: Matthias Klumpp <mak@debian.org>
-Uploaders: Julian Andres Klode <jak@debian.org>
-Build-Depends: bash-completion,
-               debhelper-compat (= 13),
+Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
+Uploaders:
+	Mark (LeePen) Hindley <mark@hindley.org.uk>,
+	Franco (nextime) Lanza <nextime@devuan.org>
+Build-Depends: debhelper-compat (= 13),
+               bash-completion,
                gir1.2-glib-2.0 (>= 1.36),
                gobject-introspection (>= 1.80),
                gtk-doc-tools,
@@ -14,20 +16,19 @@
                libglib2.0-dev (>= 2.54),
                libgstreamer-plugins-base1.0-dev,
                libgtk-3-dev (>= 3.2),
+               libjansson-dev,
                libplymouth-dev (>= 0.9.5) [linux-any],
                libpolkit-gobject-1-dev,
                libsqlite3-dev,
-               libsystemd-dev (>= 214) [linux-any],
                meson (>= 0.50),
                pkgconf,
                polkitd,
-               systemd-dev [linux-any],
                valac
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://www.freedesktop.org/software/PackageKit/
-Vcs-Git: https://salsa.debian.org/pkgutopia-team/packagekit.git
-Vcs-Browser: https://salsa.debian.org/pkgutopia-team/packagekit
+Vcs-Git: https://git.devuan.org/devuan/packagekit.git
+Vcs-Browser: https://git.devuan.org/devuan/packagekit
+Origin: Devuan
 
 Package: packagekit
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Use this variable to set the PackageKit configure flags
PK_CONFIGURE_FLAGS = \
		-Dpackaging_backend=apt \
		-Ddaemon_tests=false \
		-Dsystemd=false \
		-Doffline_update=false \
		-Dgobject_introspection=true \
		-Dman_pages=true \
		-Dgtk_doc=true \
		-Dbash_completion=true \
		-Dbash_command_not_found=true \
		-Dgstreamer_plugin=true \
		-Dgtk_module=true \
		-Dpkgctl=true \
		-Dcron=false \
		-Dpython_backend=false

ifneq ($(DEB_HOST_ARCH_OS), linux)
	PK_CONFIGURE_FLAGS += -Dsystemd=false -Doffline_update=false
endif

LDFLAGS += -Wl,--as-needed

# Define install target dir
INSTALLDIR = $(CURDIR)/debian/tmp

%:
	dh $@ --with gir

extrainstallfiles-stamp:
	grep -E -v 'lib/systemd|pk-offline-update|pk-debconf-helper' debian/packagekit.install > debian/packagekit.install.kfreebsd
	grep -E -v 'lib/systemd|pk-offline-update|pk-debconf-helper' debian/packagekit.install > debian/packagekit.install.hurd
	touch $@

override_dh_auto_configure:
	cp -dpr $(CURDIR)/docs/api $(CURDIR)/docs/api.orig
	dh_auto_configure -- $(PK_CONFIGURE_FLAGS)

override_dh_auto_install:
	dh_auto_install --destdir=$(INSTALLDIR)

	# These files do not need to be installed
	rm -f $(INSTALLDIR)/usr/share/PackageKit/pk-upgrade-distro.sh
	rm -f $(INSTALLDIR)/usr/bin/packagekit-bugreport.sh
	rm -f $(INSTALLDIR)/var/lib/PackageKit/transactions.db

	rm $(INSTALLDIR)/etc/PackageKit/Vendor.conf
ifeq ($(shell dpkg-vendor --query vendor),Ubuntu)
	cp $(CURDIR)/debian/vendor/Vendor.ubuntu.conf $(INSTALLDIR)/etc/PackageKit/Vendor.conf
else
	cp $(CURDIR)/debian/vendor/Vendor.debian.conf $(INSTALLDIR)/etc/PackageKit/Vendor.conf
endif

override_dh_install: extrainstallfiles-stamp
	dh_install

override_dh_makeshlibs:
	dh_makeshlibs -Xlibpk-gtk-module -Xlibpk_
	dh_girepository

override_dh_auto_clean:
	dh_auto_clean
	# Remove the autogenerated .install files for non-linux architectures
	rm -f debian/packagekit.install.kfreebsd
	rm -f debian/packagekit.install.hurd

override_dh_gencontrol:
	dh_gencontrol -- $(SUBSTVARS)

## packagekit 1.3.3-1trisquel2

=== debian/changelog ===
packagekit (1.3.3-1trisquel2) ecne; urgency=medium

  * Recommend trisquel-app-install over gnome software.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 21 Dec 2025 14:38:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: packagekit
 Section: admin
 Priority: optional
-Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
-Uploaders:
-	Mark (LeePen) Hindley <mark@hindley.org.uk>,
-	Franco (nextime) Lanza <nextime@devuan.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Uploaders: Julian Andres Klode <jak@debian.org>
 Build-Depends: debhelper-compat (= 13),
                bash-completion,
                gir1.2-glib-2.0 (>= 1.36),
@@ -20,15 +18,16 @@
                libplymouth-dev (>= 0.9.5) [linux-any],
                libpolkit-gobject-1-dev,
                libsqlite3-dev,
+               libsystemd-dev (>= 214) [linux-any],
                meson (>= 0.50),
                pkgconf,
                polkitd,
+               systemd-dev [linux-any],
                valac
 Standards-Version: 4.7.2
 Homepage: https://www.freedesktop.org/software/PackageKit/
-Vcs-Git: https://git.devuan.org/devuan/packagekit.git
-Vcs-Browser: https://git.devuan.org/devuan/packagekit
-Origin: Devuan
+Vcs-Git: https://salsa.debian.org/pkgutopia-team/packagekit.git
+Vcs-Browser: https://salsa.debian.org/pkgutopia-team/packagekit
 
 Package: packagekit
 Architecture: any
@@ -135,7 +134,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: gnome-software | apper | packagekit-installer
+Recommends: trisquel-app-install | gnome-software | apper | packagekit-installer
 Description: Install fonts automatically using PackageKit
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g. refreshing the cache, updating, installing and removing
@@ -152,7 +151,7 @@
          ${shlibs:Depends}
 Conflicts: gstreamer0.10-packagekit
 Replaces: gstreamer0.10-packagekit
-Recommends: gnome-software | apper | packagekit-installer
+Recommends: trisquel-app-install | gnome-software | apper | packagekit-installer
 Description: GStreamer plugin to install codecs using PackageKit
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g refreshing the cache, updating, installing and removing

## packagekit 1.3.4

=== meson_options.txt ===
--- 
+++ 
@@ -10,7 +10,20 @@
 
 option('packaging_backend',
     type : 'array',
-    choices : ['alpm', 'apt', 'dnf', 'dummy', 'entropy', 'eopkg', 'pisi', 'poldek', 'portage', 'slack', 'zypp', 'nix', 'freebsd'],
+    choices : ['alpm',
+               'apt',
+               'dnf',
+               'dnf5',
+               'dummy',
+               'entropy',
+               'eopkg',
+               'pisi',
+               'poldek',
+               'portage',
+               'slack',
+               'zypp',
+               'nix',
+               'freebsd'],
     value : ['dummy'],
     description : 'The name of the backend to use'
 )
@@ -50,10 +63,10 @@
     value : true,
     description : 'Use systemd offline update'
 )
-option('pkgctl',
+option('legacy_tools',
     type : 'boolean',
     value : false,
-    description : 'Build the experimental pkgctl client'
+    description : 'Build the pkcon/pkmon command-line tools'
 )
 option('elogind',
     type : 'boolean',

=== debian/changelog ===
packagekit (1.3.4-3) unstable; urgency=medium

  * Team upload

  [ Matthias Klumpp ]
  * Stop recommending removed packagekit-tools package (Closes: #1126735)
    (LP: #2139443)

  [ Jeremy Bícha ]
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 01 Feb 2026 14:22:02 -0500

packagekit (1.3.4-1) unstable; urgency=medium

  * New upstream version: 1.3.4
  * Drop packagekit-tools package
    - The pkcon/pkmon tools are obsolete, and the replacement `pkgcli` tool
      is available in the main package. The old split into a separate -tools
      package was for historical reasons only.
    - Nothing in Debian uses pkcon, and there is plenty of time to adjust any
      scripts while this change sits in unstable/testing. But if there is a
      huge, justifiable need to reintroduce pkcon, we can add the -tools
      package back (please file a bug in that case). The `pkgcli` utility
      should be an adequate replacement for both pkcon & pkmon.
  * Update symbols file

 -- Matthias Klumpp <mak@debian.org>  Wed, 28 Jan 2026 21:28:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: packagekit
 Section: admin
-Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Matthias Klumpp <mak@debian.org>
 Uploaders: Julian Andres Klode <jak@debian.org>
 Build-Depends: debhelper-compat (= 13),
                bash-completion,
+               docbook-xsl-ns,
                gir1.2-glib-2.0 (>= 1.36),
                gobject-introspection (>= 1.80),
                gtk-doc-tools,
@@ -24,7 +24,7 @@
                polkitd,
                systemd-dev [linux-any],
                valac
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://www.freedesktop.org/software/PackageKit/
 Vcs-Git: https://salsa.debian.org/pkgutopia-team/packagekit.git
 Vcs-Browser: https://salsa.debian.org/pkgutopia-team/packagekit
@@ -37,9 +37,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: plymouth (<< 0.9.5)
-Recommends: appstream,
-            packagekit-tools,
-            systemd
+Recommends: appstream
 Description: Provides a package management service
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g. refreshing the cache, updating, installing and removing
@@ -53,19 +51,6 @@
   - Unified developer and user interface on many distributions
   - Fine-grained permission control via PolicyKit
   - On-demand installation of missing system components
-
-Package: packagekit-tools
-Architecture: any
-Multi-Arch: foreign
-Depends: packagekit (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: Provides PackageKit command-line tools
- PackageKit allows performing simple software management tasks over a DBus
- interface e.g. refreshing the cache, updating, installing and removing
- software packages or searching for multimedia codecs and file handlers.
- .
- This package provides the PackageKit command-line tools.
 
 Package: packagekit-docs
 Architecture: all
@@ -134,7 +119,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Recommends: trisquel-app-install | gnome-software | apper | packagekit-installer
+Recommends: gnome-software | apper | packagekit-installer
 Description: Install fonts automatically using PackageKit
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g. refreshing the cache, updating, installing and removing
@@ -151,7 +136,7 @@
          ${shlibs:Depends}
 Conflicts: gstreamer0.10-packagekit
 Replaces: gstreamer0.10-packagekit
-Recommends: trisquel-app-install | gnome-software | apper | packagekit-installer
+Recommends: gnome-software | apper | packagekit-installer
 Description: GStreamer plugin to install codecs using PackageKit
  PackageKit allows performing simple software management tasks over a DBus
  interface e.g refreshing the cache, updating, installing and removing

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,8 @@
 PK_CONFIGURE_FLAGS = \
 		-Dpackaging_backend=apt \
 		-Ddaemon_tests=false \
-		-Dsystemd=false \
-		-Doffline_update=false \
+		-Dsystemd=true \
+		-Doffline_update=true \
 		-Dgobject_introspection=true \
 		-Dman_pages=true \
 		-Dgtk_doc=true \
@@ -17,12 +17,13 @@
 		-Dbash_command_not_found=true \
 		-Dgstreamer_plugin=true \
 		-Dgtk_module=true \
-		-Dpkgctl=true \
 		-Dcron=false \
 		-Dpython_backend=false
 
 ifneq ($(DEB_HOST_ARCH_OS), linux)
 	PK_CONFIGURE_FLAGS += -Dsystemd=false -Doffline_update=false
+else
+	export deb_systemdsystemunitdir = $(shell pkg-config --variable=systemdsystemunitdir systemd | sed s,^/,,)
 endif
 
 LDFLAGS += -Wl,--as-needed
@@ -34,8 +35,8 @@
 	dh $@ --with gir
 
 extrainstallfiles-stamp:
-	grep -E -v 'lib/systemd|pk-offline-update|pk-debconf-helper' debian/packagekit.install > debian/packagekit.install.kfreebsd
-	grep -E -v 'lib/systemd|pk-offline-update|pk-debconf-helper' debian/packagekit.install > debian/packagekit.install.hurd
+	grep -E -v 'systemdsystemunitdir|pk-offline-update|pk-debconf-helper' debian/packagekit.install > debian/packagekit.install.kfreebsd
+	grep -E -v 'systemdsystemunitdir|pk-offline-update|pk-debconf-helper' debian/packagekit.install > debian/packagekit.install.hurd
 	touch $@
 
 override_dh_auto_configure:
@@ -72,3 +73,13 @@
 
 override_dh_gencontrol:
 	dh_gencontrol -- $(SUBSTVARS)
+
+override_dh_installsystemd:
+	# We don't want to stop/restart the packagekit service and especially not the
+	# packagekit-offline-update service, as PackageKit might be performing the
+	# package upgrade right now and would kill the running APT/dpkg transaction,
+	# leaving the system in a broken state.
+	# The PackageKit daemon is fine with being upgraded while running, and we do
+	# send it the `SuggestDaemonQuit` command to have it reload itself when it is
+	# able to (ensuring it doesn't crash after ejecting the backend and reloading it).
+	dh_installsystemd --no-start --no-restart-after-upgrade --no-stop-on-upgrade
